JmxBuilder (Groovy 5.0.0)

Package: groovy.jmx.builder

## [Groovy] Class JmxBuilder

- groovy.jmx.builder.JmxBuilder

-     class JmxBuilder
      extends FactoryBuilderSupport

  This is JmxBuilder's factory builder class. It is the parent node to all other children nodes supported by JmxBuilder.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class FactoryBuilderSupport` | `CHILD_BUILDER, CURRENT_BUILDER, CURRENT_FACTORY, CURRENT_NAME, CURRENT_NODE, OWNER, PARENT_BUILDER, PARENT_CONTEXT, PARENT_FACTORY, PARENT_NAME, PARENT_NODE, SCRIPT_CLASS_NAME, attributeDelegates, autoRegistrationComplete, autoRegistrationRunning, explicitMethods, explicitProperties, methodMissingDelegate, postInstantiateDelegates, postNodeCompletionDelegates, preInstantiateDelegates, propertyMissingDelegate, registrationGroup, registrationGroupName`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `defaultJmxNameDomain`
    `String` | `defaultJmxNameType`
    `MBeanServerConnection` | `mBeanServer`
    `String` | `mode`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JmxBuilder()`
    `JmxBuilder(MBeanServerConnection svrConnection)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `getDefaultJmxNameDomain()`
    `` | `String` | `getDefaultJmxNameType()`
    `` | `MBeanServerConnection` | `getMBeanServer()`
    `` | `String` | `getMode()`
    `` | `protected void` | `registerFactories()`
    `` | `protected Factory` | `resolveFactory(Object name, Map attributes, Object value)`
    `` | `void` | `setDefaultJmxNameDomain(String domain)`
    `` | `void` | `setDefaultJmxNameType(String type)`
    `` | `void` | `setMBeanServer(MBeanServerConnection svr)`
    `` | `void` | `setMode(String mode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class FactoryBuilderSupport` | `addAttributeDelegate, addDisposalClosure, addPostInstantiateDelegate, addPostNodeCompletionDelegate, addPreInstantiateDelegate, autoRegisterNodes, build, build, build, checkExplicitMethod, checkValueIsNull, checkValueIsType, checkValueIsTypeNotString, createNode, dispatchNodeCall, dispathNodeCall, dispose, getAttributeDelegates, getChildBuilder, getContext, getContextAttribute, getContexts, getContinuationData, getCurrent, getCurrentBuilder, getCurrentFactory, getCurrentName, getDisposalClosures, getExplicitMethods, getExplicitProperties, getFactories, getLocalExplicitMethods, getLocalExplicitProperties, getLocalFactories, getMethodMissingDelegate, getName, getNameMappingClosure, getParentContext, getParentFactory, getParentName, getParentNode, getPostInstantiateDelegates, getPostNodeCompletionDelegates, getPreInstantiateDelegates, getProperty, getPropertyMissingDelegate, getProxyBuilder, getRegistrationGroupItems, getRegistrationGroups, getVariable, getVariables, handleNodeAttributes, invokeMethod, invokeMethod, newContext, newInstance, nodeCompleted, popContext, postInstantiate, postNodeCompletion, preInstantiate, registerBeanFactory, registerBeanFactory, registerExplicitMethod, registerExplicitMethod, registerExplicitProperty, registerExplicitProperty, registerFactory, registerFactory, removeAttributeDelegate, removePostInstantiateDelegate, removePostNodeCompletionDelegate, removePreInstantiateDelegate, reset, resolveExplicitMethod, resolveExplicitProperty, resolveFactory, restoreFromContinuationData, setClosureDelegate, setMethodMissingDelegate, setNameMappingClosure, setNodeAttributes, setParent, setProperty, setPropertyMissingDelegate, setProxyBuilder, setVariable, withBuilder, withBuilder, withBuilder`
    `class Binding` | `getProperty, getVariable, getVariables, hasVariable, removeVariable, setProperty, setVariable`
    `class GroovyObjectSupport` | `getMetaClass, setMetaClass`

- - ### Property Detail

    - #### String defaultJmxNameDomain

    - #### String defaultJmxNameType

    - #### MBeanServerConnection mBeanServer

    - #### String mode

  - ### Constructor Detail

    - #### JmxBuilder()

    - #### JmxBuilder(MBeanServerConnection svrConnection)

  - ### Method Detail

    - #### String getDefaultJmxNameDomain()

    - #### String getDefaultJmxNameType()

    - #### MBeanServerConnection getMBeanServer()

    - #### String getMode()

    - #### protected void registerFactories()

    - #### protected Factory resolveFactory(Object name, Map attributes, Object value)

    - #### void setDefaultJmxNameDomain(String domain)

    - #### void setDefaultJmxNameType(String type)

    - #### void setMBeanServer(MBeanServerConnection svr)

    - #### void setMode(String mode)